package models

type Port struct {
	Protocol string
	Number   int
}

type ImageInfo struct {
	Name    string
	Version string
	Ports   []Port
}

type ServerInfo struct {
	Id             string
	OwnerId        string
	DefaultCommand string
	Image          ImageInfo
	On             bool
	Nickname       string
	Ports          []Port
}

type FileBrowserInfo struct {
	Id          string
	OwnerId     string
	ConnectedTo ServerInfo
	Url         string
}

type ServerData struct {
	Id              string                `bson:"Id"`
	OwnerId         string                `bson:"OwnerId"`
	Image           string                `bson:"Image"`
	VolumeId        string                `bson:"VolumeId"`
	Nickname        string                `bson:"Nickname"`
	UserPermissions map[string]Permission `bson:"UserPermissions"`
	DefaultCommand  string                `bson:"DefaultCommand"`
	DefaultPorts    []Port                `bson:"DefaultPorts"`
}
